import { ProcessorTypes } from '../../propProcessors';
import WithChildren from './with/children';
import AnchorElement from './anchor';
import FormElement from './form';
import InputElement from './input';
import BaseElement from './base';
import ImageElement from './image';
import LabelElement from './label';
import ButtonElement from './button';
import ListItemElement from './list-item';
import OListElement from './o-list';
import CanvasElement from './canvas';
import DataElement from './data';
import ModElement from './mod';
import DetailsElement from './details';
import StyleElement from './style';
import QuoteElement from './quote';
import SelectElement from './select';
import OptionElement from './option';
import OptionGroupElement from './option-group';
import FieldsetElement from './fieldset';
export declare type Element = {
    accessKey?: HTMLElement['accessKey'];
    autocapitalize?: ('off' | 'none') | ('on' | 'sentences') | 'words' | 'characters';
    autofocus?: HTMLElement['autofocus'];
    class?: HTMLElement['className'];
    contentEditable?: HTMLElement['contentEditable'];
    dir?: 'ltr' | 'rtl' | 'auto';
    draggable?: HTMLElement['draggable'];
    enterKeyHint?: HTMLElement['enterKeyHint'];
    hidden?: HTMLElement['hidden'];
    id?: HTMLElement['id'];
    inputMode?: HTMLElement['inputMode'];
    lang?: HTMLElement['lang'];
    nonce?: HTMLElement['nonce'];
    part?: HTMLElement['part'];
    slot?: HTMLElement['slot'];
    spellCheck?: HTMLElement['spellcheck'];
    tabIndex?: HTMLElement['tabIndex'];
    title?: HTMLElement['title'];
    translate?: HTMLElement['translate'];
} & {
    itemId?: string;
    itemProp?: string;
    itemRef?: string;
    itemScope?: string;
    itemType?: string;
} & {
    style?: ProcessorTypes['style'];
};
declare type DefaultElement = Element & WithChildren;
export declare type MutableElements = {
    a: AnchorElement;
    abbr: DefaultElement;
    address: DefaultElement;
    article: DefaultElement;
    aside: DefaultElement;
    b: DefaultElement;
    base: BaseElement;
    bdi: DefaultElement;
    bdo: DefaultElement;
    br: Element;
    button: ButtonElement;
    canvas: CanvasElement;
    cite: DefaultElement;
    code: DefaultElement;
    data: DataElement;
    dd: DefaultElement;
    del: ModElement;
    details: DetailsElement;
    dfn: DefaultElement;
    div: DefaultElement;
    dl: DefaultElement;
    dt: DefaultElement;
    em: DefaultElement;
    fieldset: FieldsetElement;
    figcaption: DefaultElement;
    figure: DefaultElement;
    footer: DefaultElement;
    form: FormElement;
    h1: DefaultElement;
    h2: DefaultElement;
    h3: DefaultElement;
    h4: DefaultElement;
    h5: DefaultElement;
    h6: DefaultElement;
    header: DefaultElement;
    hgroup: DefaultElement;
    hr: Element;
    i: DefaultElement;
    img: ImageElement;
    input: InputElement;
    kbd: DefaultElement;
    label: LabelElement;
    legend: DefaultElement;
    li: ListItemElement;
    main: DefaultElement;
    mark: DefaultElement;
    nav: DefaultElement;
    noscript: DefaultElement;
    ol: OListElement;
    optgroup: OptionGroupElement;
    option: OptionElement;
    p: DefaultElement;
    pre: DefaultElement;
    q: QuoteElement;
    rp: DefaultElement;
    rt: DefaultElement;
    ruby: DefaultElement;
    s: DefaultElement;
    samp: DefaultElement;
    section: DefaultElement;
    select: SelectElement;
    small: DefaultElement;
    span: DefaultElement;
    strong: DefaultElement;
    style: StyleElement;
    sub: DefaultElement;
    summary: DefaultElement;
    sup: DefaultElement;
    u: DefaultElement;
    ul: DefaultElement;
    var: DefaultElement;
    wbr: DefaultElement;
};
export default MutableElements;
